﻿###Скрипт для предотвращения автоматической установки приложений из образа и магазина в Windows 10
###Подробнее http://www.outsidethebox.ms/19177/
############################################################################

###1. Переменные с путями (измените на свои)###
#путь к WIM-образу
$wimpath = "c:\iso\sources\install.wim"
#папка для подключения WIM-образа
$mountpath = "C:\mount"
#папка с твиком и файлом настроек меню Пуск
$filepath = "C:\temp"
###################################

###2. Подключение образа (укажите индекс издания)###
#получение номера издания в WIM
#Get-WindowsImage -ImagePath $wimpath

#подключение WIM-образа с нужным изданием (5)
Mount-WindowsImage -ImagePath $wimpath -Index 5 -Path $mountpath
###################################

###3. Блокирование загрузки приложений из магазина и настройка меню Пуск###
#подключение в реестр профиля пользователя Default из образа
Write-Host "Customizing Default user..."
reg load HKEY_USERS\Custom $mountpath\Users\Default\NTUSER.DAT
#импорт твиков в профиль Default
reg import $filepath\Block3rdPartyAppx.reg
#отключение профиля Default
reg unload HKEY_USERS\Custom
#копирование настроенного вида меню пуск в профиль Default
copy $filepath\LayoutModification.xml $mountpath\Users\Default\AppData\Local\Microsoft\Windows\Shell\LayoutModification.xml
###################################

###4. Удаление приложений из образа###
#список приложений для удаления
$apps = @(
    ##############################
    # актуально в Windows 11 23H2
    "Clipchamp.Clipchamp",# Windows 11 22H2+
    "Microsoft.549981C3F5F10",# Cortana
    "Microsoft.BingNews",
    "Microsoft.BingWeather",
    "Microsoft.GamingApp",# Xbox Windows 11
    "Microsoft.GetHelp",
    "Microsoft.Getstarted",
    "Microsoft.MicrosoftOfficeHub",
    "Microsoft.MicrosoftSolitaireCollection",
    "Microsoft.MicrosoftStickyNotes",
    "Microsoft.Paint",# Paint Windows 11
    "Microsoft.People",
    "Microsoft.PowerAutomateDesktop",# Windows 11
    "Microsoft.ScreenSketch",
    "Microsoft.Todos",# Windows 11
    "Microsoft.Windows.Photos",
    "Microsoft.WindowsAlarms",
    "Microsoft.WindowsCalculator",# Калькулятор
    "Microsoft.WindowsCamera",
    "microsoft.windowscommunicationsapps",
    "Microsoft.WindowsFeedbackHub",
    "Microsoft.WindowsMaps",
    "Microsoft.WindowsNotepad",# Блокнот Windows 11
    "Microsoft.WindowsSoundRecorder",
    "Microsoft.WindowsTerminal",# Windows 11
    "Microsoft.Xbox.TCUI",
    "Microsoft.XboxGameOverlay",
    "Microsoft.XboxGamingOverlay",
    "Microsoft.XboxIdentityProvider",
    "Microsoft.XboxSpeechToTextOverlay",
    "Microsoft.YourPhone",
    "Microsoft.ZuneMusic",
    "Microsoft.ZuneVideo",# Кино и ТВ
    "MicrosoftCorporationII.QuickAssist",# Быстрая помощь Windows 11 23H2+
    "MicrosoftWindows.Client.WebExperience",# Виджеты Windows 11
    ##############################
    # неактуально в Windows 11 23H2
    "Microsoft.Messaging",
    "Microsoft.Microsoft3DViewer",
    "Microsoft.MixedReality.Portal",
    "Microsoft.MSPaint",# Paint 3D
    "Microsoft.Office.OneNote",
    "Microsoft.OneConnect",
    "Microsoft.Print3D",
    "Microsoft.SkypeApp",
    "Microsoft.XboxApp"# Windows 10
)
#удаление всех приложений из списка
Get-AppxProvisionedPackage -Path $mountpath | ForEach-Object {
        if ($apps -contains $_.DisplayName) {
        Write-Host Removing $_.DisplayName...
        Remove-AppxProvisionedPackage -Path $mountpath -PackageName $_.PackageName | Out-Null
            }
        }
###################################

###5. Сохранение образа и отключение###
Dismount-WindowsImage -Path $mountpath -Save
